%define name	spacehulk
%define Name	Space Hulk
%define version 1.5
%define beta	beta2
%define release %mkrel 0.%{beta}.2
%define Summary	Science-fiction board game in the world of Warhammer 40000

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{Summary}
License:	GPL
Group:		Games/Strategy
URL:		http://savannah.nongnu.org/projects/spacehulk/
Source0:	%{name}-%{version}-%{beta}.tar.bz2
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png
BuildRequires:	qt3-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description
Space Hulk is a science-fiction board game in the world of Warhammer
40000. The project is aiming at providing a way to play SpaceHulk on
your computer with the exact same rules as in the board version.

This package contains potentially copyrighted material.

%prep
%setup -q -n %{name}-%{version}-%{beta}

%build
%ifarch x86_64
	%define qtlibs %{_prefix}/lib/qt3/lib64
%else
	%define qtlibs %{_prefix}/lib/qt3/lib
%endif
%configure --with-qt-libs=%{qtlibs} --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make

%install
rm -rf %{buildroot}
%makeinstall bindir=%{buildroot}%{_gamesbindir} datadir=$RPM_BUILD_ROOT%{_gamesdatadir}
# icons
install -D -m644 %{SOURCE3} %{buildroot}%{_liconsdir}/q%{name}.png 
install -D -m644 %{SOURCE2} %{buildroot}%{_iconsdir}/q%{name}.png 
install -D -m644 %{SOURCE1} %{buildroot}%{_miconsdir}/q%{name}.png


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{Name}
Comment=Science-fiction board game
Exec=%{_gamesbindir}/q%{name} 
Icon=q%{name}.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Games-Boards;
EOF

%post
%update_desktop_database

%postun
%clean_desktop_database



%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%attr(-,root,root) 
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_iconsdir}/q%{name}.png
%{_miconsdir}/q%{name}.png
%{_liconsdir}/q%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Sat Sep 01 2007 <Patred TheKnight edupclos@gmail.com> 1.5-0.beta2.2PCLinuxOS2007.0
- Rebuild for PCLinuxOS

* Wed Sep 13 2006 Guillaume Rousse <guillomovitch@zarb.org> 1.5-0.beta2.2mdv2007.0
- Rebuild

